//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace TwinTail.Entities
{
    using System;
    using System.Collections.Generic;
    
    public partial class WatchEntry
    {
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2214:DoNotCallOverridableMethodsInConstructors")]
        public WatchEntry()
        {
            this.Fansubs = new HashSet<Fansub>();
        }
    
        public int Id { get; set; }
        public string User { get; set; }
        public WatchStatus Status { get; set; }
        public int Episode { get; set; }
        public decimal Score { get; set; }
        public bool Rewatching { get; set; }
        public int RewatchCount { get; set; }
        public decimal RewatchScore { get; set; }
        public string Notes { get; set; }
        public Nullable<System.DateTime> DateStarted { get; set; }
        public Nullable<System.DateTime> DateEnded { get; set; }
        public Nullable<System.DateTime> DateUpdated { get; set; }
    
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<Fansub> Fansubs { get; set; }
        public virtual Anime Anime { get; set; }
        public virtual Account Account { get; set; }
    }
}
